glances(1)

NAME
glances - A cross-platform curses-based system monitoring tool

SYNOPSIS
glances [OPTIONS]

DESCRIPTION
Glances is a free (LGPL) cross-platform curses-based system monitoring tool which aims to present a maximum of information in a minimum of space, ideally to fit in a classical 80x24 terminal or higher to have additional information. It can adapt dynamically the displayed information depending on the terminal size.

Glances can also work in client/server mode. Remote monitoring could be done via terminal or web interface.

This tool is written in Python and uses the psutil library to fetch the statistical values from key elements, like CPU, load average, memory, network, disks, file systems, processes and so on.

COMMAND-LINE OPTIONS
The command-line options are the following:

-h, --help
    show this help message and exit

-V, --version
    show program's version number and exit

-d, --debug
    enable debug mode (log file is /tmp/glances.log)

-C CONF_FILE, --config CONF_FILE
    path to the configuration file

--disable-quicklook
    disable quick look module

--full-quicklook
    disable all but quick look and load modules

--disable-cpu
    disable CPU module

--disable-mem
    disable MEM module

--disable-swap
    disable SWAP module

--disable-load
    disable LOAD module

--disable-network
    disable network module

--disable-ip
    disable IP module

--disable-diskio
    disable disk I/O module

--disable-fs
    disable file system module

--disable-sensors
    disable sensors module

--disable-hddtemp
    disable HDDTemp module

--disable-raid
    disable RAID module

--disable-docker
    disable Docker module

--disable-left-sidebar
    disable network, disk I/O, file system and sensors modules

--disable-process
    disable process module

--disable-log
    disable log module

--disable-bold
    disable bold mode in the terminal

--enable-process-extended
    enable extended stats on top process

--enable-history
    enable the history mode (matplotlib needed)

--path-history PATH_HISTORY
    set the export path for graph history

--export-csv EXPORT_CSV
    export stats to a CSV file

--export-influxdb
    export stats to an InfluxDB server (influxdb needed)

--export-opentsdb
    export stats to an OpenTSDB server (potsdb needed)

--export-statsd
    export stats to a StatsD server (statsd needed)

--export-rabbitmq
    export stats to a RabbitMQ server (pika needed)

-c CLIENT, --client CLIENT
    connect to a Glances server by IPv4/IPv6 address or hostname

-s, --server
    run Glances in server mode

--browser
    start the client browser (display list of servers)

--disable-autodiscover
    disable autodiscover feature

-p PORT, --port PORT
    define the client/server TCP port [default: 61209]

-B BIND_ADDRESS, --bind BIND_ADDRESS
    bind server to the given IPv4/IPv6 address or hostname

--password
    define a client/server password

--snmp-community SNMP_COMMUNITY
    SNMP community

--snmp-port SNMP_PORT
    SNMP port

--snmp-version SNMP_VERSION
    SNMP version (1, 2c or 3)

--snmp-user SNMP_USER
    SNMP username (only for SNMPv3)

--snmp-auth SNMP_AUTH
    SNMP authentication key (only for SNMPv3)

--snmp-force
    force the SNMP mode (do not try Glances server)

-t TIME, --time TIME
    set refresh time in seconds [default: 3 sec]

-w, --webserver
    run Glances in web server mode (bottle needed)

-q, --quiet
    run Glances in quiet mode (nothing is displayed)

-f PROCESS_FILTER, --process-filter PROCESS_FILTER
    set the process filter pattern (regular expression)

--process-short-name
    force short name for processes name

--disable-irix
    Task's cpu usage will be divided by the total number of CPUs

--hide-kernel-threads
    hide kernel threads in process list

--tree
    display processes as a tree

-b, --byte
    display network rate in byte per second [default: bit per second]

--fahrenheit
    display temperature in Fahrenheit (default is Celsius)

-1, --percpu
    start Glances in per CPU mode

--fs-free-space
    display file system free space instead of used

--theme-white
    optimize display colors for white background

INTERACTIVE COMMANDS
You can use the following keys while in Glances:

ENTER
    Set the process filter pattern (as a regular expression)

a   Sort process list automatically

b   Switch between bit/s or Byte/s for network I/O

c   Sort processes by CPU usage

d   Show/hide disk I/O stats

e   Enable/disable top extended stats

f   Show/hide file system stats

F   Switch between file system used and free space

g   Generate graphs for current history

h   Show/hide the help screen

i   Sort processes by I/O rate

l   Show/hide log messages

m   Sort processes by MEM usage

n   Show/hide network stats

p   Sort processes by name

q   Quit

r   Reset history

s   Show/hide sensors stats

t   Sort process by CPU times (TIME+)

T   View network I/O as combination

u   Sort processes by USER

U   View cumulative network I/O

w   Delete finished warning log messages

x   Delete finished warning and critical log messages

z   Show/hide processes stats

z   Show/hide processes list (for low CPU consumption)

0   Task's cpu usage will be divided by the total number of CPUs

1   Switch between global CPU and per-CPU stats

2   Enable/disable left sidebar

3   Enable/disable the quick look module

4   Enable/disable all but quick look and load module

/   Switch between short name/command line (processes name)

EXAMPLES

Monitor local machine (standalone mode):
    $ glances

Monitor local machine with the Web interface (Web UI): $ glances -w

Glances web server started on http://0.0.0.0:61208/

Monitor local machine and export stats to a CSV file (standalone mode): $ glances --export-csv

Monitor local machine and export stats to a InfluxDB server with 5s refresh time (standalone mode): $ glances -t 5 --export-influxdb

Monitor local machine and export stats to a RabbitMQ server with 5s refresh time (standalone mode): $ glances -t 5 --export-rabbitmq

Start a Glances server (server mode): $ glances -s

Connect Glances to a Glances server (client mode): $ glances -c <ip_server>

Connect Glances to a Glances server and export stats to a StatsD server (client mode): $ glances -c <ip_server> --export-statsd

Start the client browser (browser mode): $ glances --browser

EXIT STATUS
Glances returns a zero exit status if it succeeds to print/grab information.

It returns 2 if it fails to parse its options (missing arguments, invalid value, etc).

AUTHOR
Glances is written by Nicolas Hennion aka Nicolargo (contact@nicolargo.com)